#include "resource.h"       // основные символы

// Диалоговое окно CRenameDlg используется для описания сведений о приложении

using namespace std;

class CRenameDlg : public CDialogEx
{
	protected:
		CString m_strValue; //DDX_Text не поддерживает wstring, только CString

	public:
		CRenameDlg();
		CRenameDlg(wstring &strVal);
		wstring GetName()
		{
			return wstring(m_strValue);
		}
// Данные диалогового окна
#ifdef AFX_DESIGN_TIME
		enum { IDD = IDD_DIALOG_RENAME };
#endif

	protected:
		virtual void DoDataExchange(CDataExchange *pDX) override;    // поддержка DDX/DDV

// Реализация
	protected:
		virtual BOOL OnInitDialog() override;
		afx_msg void OnBnClickedOk();

		DECLARE_MESSAGE_MAP()
};

